import { OptionData, OptionGroupData, OptOutType, PdData } from './slot.interface';
export interface AudioControlEventData {
  action: 'seekAbsolute' | 'seekRelative' | 'pause' | 'resume';
  val?: number;
}
export interface LoadedEpisodeData extends PdData {
}
export interface LoadingEpisodeDataFailed {
  error: any;
}
export interface OpenExternalUrlData {
  url: string;
}
export interface FeedSubscribeData {
}
export interface PerformActionData {
  option: OptionData;
  optionGroup: OptionGroupData;
}
export interface OptOutEventData {
  optOut: OptOutType;
}
export interface InputRangeInteractingEventData {
  isSeeking: boolean;
}
export interface InputRangeChangeEventData {
  value: number;
}
export interface PlaybackEventData {
  playing: boolean;
  currentTime: number;
}
export interface PlaybackRateEventData {
  playbackRate: number;
}
