import { OptOutType } from '../slot.interface';
import { Observable } from 'rxjs';
export interface OptOutServiceInterface {
  saveOptOut(val: OptOutType, showId: string, deviceIdentifier: string, userAgent: string): Promise<boolean>;
  getOptOut(deviceIdentifier: string, showId: string, userAgent: string): Observable<OptOutType>;
}
declare class OptOutService {
  private logger;
  private cache;
  constructor();
  saveOptOut(val: OptOutType, showId: string, deviceIdentifier: string, userAgent: string): Promise<boolean>;
  getOptOut(deviceIdentifier: string, showId: string, userAgent: string): Observable<OptOutType>;
  protected fetchOptOut(deviceIdentifier: string, showId: any, userAgent: string): Observable<OptOutType>;
  protected getCacheKey(deviceIdentifier: string, showId: string): string;
}
declare const _default: OptOutService;
export default _default;
