# poductivity-playback-rate-control

A playback rate control button. For internal use only.

<!-- Auto Generated Below -->


## Properties

| Property       | Attribute       | Description      | Type     | Default     |
| -------------- | --------------- | ---------------- | -------- | ----------- |
| `playbackRate` | `playback-rate` | The current rate | `number` | `undefined` |


## Events

| Event                | Description                                       | Type                                 |
| -------------------- | ------------------------------------------------- | ------------------------------------ |
| `playbackRateChange` | Emitted when the user changes their opt in status | `CustomEvent<PlaybackRateEventData>` |


## Dependencies

### Used by

 - [poductivity-player](../pd-player)

### Graph
```mermaid
graph TD;
  poductivity-player --> poductivity-playback-rate-control
  style poductivity-playback-rate-control fill:#f9f,stroke:#333,stroke-width:4px
```

----------------------------------------------

Copyright Poductivity Limited, All Rights Reserved
