// Poductivity SDK version: 0.11.0 - Built March 11, 2021 13:05:46
import { C as CSS, p as plt, w as win, a as promiseResolve, b as bootstrapLazy } from './index-d5e03b38.js';
import { g as globalScripts } from './app-globals-12f3a5bf.js';

/*
 Stencil Client Patch Esm v2.4.0 | MIT Licensed | https://stenciljs.com
 */
const patchEsm = () => {
    // NOTE!! This fn cannot use async/await!
    // @ts-ignore
    if ( !(CSS && CSS.supports && CSS.supports('color', 'var(--c)'))) {
        // @ts-ignore
        return import(/* webpackChunkName: "polyfills-css-shim" */ './css-shim-934c915f.js').then(() => {
            if ((plt.$cssShim$ = win.__cssshim)) {
                return plt.$cssShim$.i();
            }
            else {
                // for better minification
                return 0;
            }
        });
    }
    return promiseResolve();
};

const defineCustomElements = (win, options) => {
  if (typeof window === 'undefined') return Promise.resolve();
  return patchEsm().then(() => {
  globalScripts();
  return bootstrapLazy([["poductivity-client_6",[[1,"poductivity-client",{"audioElement":[16],"timestamp":[2],"isPlaying":[4,"is-playing"],"playbackRate":[2,"playback-rate"],"deviceIdentifier":[1,"device-identifier"],"userAgent":[1,"user-agent"],"optOutControl":[16],"noSubscribe":[4,"no-subscribe"],"messagesElement":[16],"debug":[4],"data":[16],"episode":[32],"slots":[32],"optionGroups":[32],"optOut":[32],"loading":[32],"loaded":[32],"timestampI":[32],"isPlayingI":[32],"internalDeviceIdentifier":[32],"dynamicOptionGroup":[32],"setEpisodeByFeed":[64],"setEpisodeById":[64],"close":[64],"isReady":[64]},[[8,"pagehide","onPageHide"],[8,"visibilitychange","onVisibilityChange"],[0,"optOutChanged","changeOptOut"]]],[0,"poductivity-messages",{"optionGroups":[16]}],[0,"poductivity-subscribe",{"showData":[16],"userAgent":[1,"user-agent"],"absolute":[4],"fill":[4],"debug":[4],"waiting":[32],"attemptOpenDefaultApp":[64],"show":[64]}],[0,"poductivity-opt-out-control",{"optOut":[1,"opt-out"],"up":[4],"right":[4],"isOpen":[32]}],[4,"poductivity-marquee",{"speed":[2],"active":[4],"uid":[1],"overflow":[32],"setOverflow":[64]}],[4,"poductivity-modal",{"absolute":[4],"fill":[4],"debug":[4],"isShown":[32],"isLoadingFrame":[32],"frameSrc":[32],"resolveI":[32],"rejectI":[32],"show":[64],"hide":[64],"forceClose":[64]},[[8,"message","receiveMessage"]]]]],["poductivity-input-range_3",[[1,"poductivity-player",{"episodeId":[1,"episode-id"],"feedUrl":[1,"feed-url"],"episodeGuid":[1,"episode-guid"],"accentColor":[1,"accent-color"],"horizontal":[4],"theme":[1],"useOsFont":[4,"use-os-font"],"debug":[4],"episode":[32],"isPlaying":[32],"isBuffering":[32],"currentTime":[32],"playbackRate":[32],"isLoading":[32],"loadingFailed":[32],"playError":[32],"play":[64],"pause":[64],"togglePlay":[64],"seekTo":[64],"seekRelative":[64],"setPlaybackRate":[64],"showEpisodeNotes":[64],"hideEpisodeNotes":[64]}],[0,"poductivity-input-range",{"value":[2],"min":[2],"max":[2],"step":[2],"disabled":[4]},[[1,"input","changed"],[1,"touchStart","startedInteracting"],[1,"mouseDown","startedInteracting"]]],[0,"poductivity-playback-rate-control",{"playbackRate":[2,"playback-rate"]}]]]], options);
  });
};

export { defineCustomElements };
