import { PdClient } from './pd-client';
import { ClientActionData, OptionData, OptionGroupData } from '../../slot.interface';
export declare class ActionHandler {
  private client;
  private popup;
  constructor(client: PdClient);
  mediaPause(): Promise<boolean>;
  mediaResume(): Promise<boolean>;
  mediaSeekAbsolute(action: ClientActionData): Promise<boolean>;
  mediaSeekRelative(action: ClientActionData): Promise<boolean>;
  modalFrame(action: ClientActionData): Promise<boolean>;
  modalPopup(action: ClientActionData): Promise<boolean>;
  optionGroupGoTo(action: ClientActionData): Promise<boolean>;
  optionGroupHide(action: ClientActionData, _option: OptionData, optionGroup: OptionGroupData): Promise<boolean>;
  optionHide(_action: ClientActionData, option: OptionData, optionGroup: OptionGroupData): Promise<boolean>;
  externalUrl(action: ClientActionData): Promise<boolean>;
  feedSubscribe(_action: ClientActionData): Promise<boolean>;
}
