import { EventEmitter } from '../../stencil-public-runtime';
import { OptOutEventData } from '../../events.interface';
import { OptOutType } from '../../slot.interface';
export declare class PdOptOutControl {
  /**
   * The current opt out status
   */
  optOut: OptOutType;
  /**
   * Make the dropdown appear above the trigger
   */
  up: boolean;
  /**
   * Make the dropdown's right edge align to the trigger
   */
  right: boolean;
  isOpen: boolean;
  /**
   * Emitted when the user changes their opt in status
   */
  optOutChanged: EventEmitter<OptOutEventData>;
  get dropdownClasses(): string;
  private changed;
  private open;
  private close;
  private getOptions;
  render(): any;
}
