export interface EpisodeData {
  id: string;
  guid: string;
  order: number;
  duration: number;
  title: string;
  description?: string;
  imageUrl?: string;
  mediaUrl: string;
  show?: ShowData;
  showId: string;
}
export interface ShowData {
  id: string;
  feedUrl: string;
  feedProtocol: string;
  title?: string;
  email?: string;
  imageUrl?: string;
  description?: string;
  websiteUrl?: string;
  applePodcastsId?: string;
  spotifyId?: string;
  claimed?: boolean;
  createdAt: string;
  updatedAt: string;
}
export interface SubscribeShowData {
  feedUrl: string;
  feedProtocol: string;
  applePodcastsId?: string;
  spotifyId?: string;
}
