export interface Font {
  family: string;
  weight: string;
  style: string;
  woff2Url: string;
  unicodeRange?: string;
}
declare class FontLoader {
  private loaded;
  isLoaded(font: Font): boolean;
  load(font: Font): void;
  private getStyleElement;
  private getFontFaceRule;
  private markLoaded;
}
declare const _default: FontLoader;
export default _default;
