export interface QueryParams {
  [key: string]: string;
}
export declare function checkMessageOrigin(origin: string): boolean;
export declare function createFormData(data: {
  [key: string]: any;
}): FormData;
export declare function request<T = any>(type: 'GET' | 'POST' | 'PATCH' | 'PUT' | 'DELETE', path: string, queryParams: QueryParams, data: any, settings: {
  userAgent: string;
  rawResponse?: boolean;
}): Promise<T>;
export declare function tryScheme(uri: string, timeout?: number): Promise<void>;
