# poductivity-input-range

A pretty range input. For internal use only.

<!-- Auto Generated Below -->


## Properties

| Property   | Attribute  | Description             | Type      | Default     |
| ---------- | ---------- | ----------------------- | --------- | ----------- |
| `disabled` | `disabled` | Disable the input       | `boolean` | `false`     |
| `max`      | `max`      | The maximum value       | `number`  | `100`       |
| `min`      | `min`      | The minimum value       | `number`  | `0`         |
| `step`     | `step`     | The step between values | `number`  | `1`         |
| `value`    | `value`    | The input value         | `number`  | `undefined` |


## Events

| Event                   | Description                                  | Type                                          |
| ----------------------- | -------------------------------------------- | --------------------------------------------- |
| `inputRangeChanged`     | Emitted when the input changes               | `CustomEvent<InputRangeChangeEventData>`      |
| `inputRangeInteracting` | Emitted when the user begins or ends seeking | `CustomEvent<InputRangeInteractingEventData>` |


## Dependencies

### Used by

 - [poductivity-player](../pd-player)

### Graph
```mermaid
graph TD;
  poductivity-player --> poductivity-input-range
  style poductivity-input-range fill:#f9f,stroke:#333,stroke-width:4px
```

----------------------------------------------

Copyright Poductivity Limited, All Rights Reserved
