# poductivity-marquee

A pretty marquee replacement.

<!-- Auto Generated Below -->


## Properties

| Property | Attribute | Description                                                           | Type      | Default |
| -------- | --------- | --------------------------------------------------------------------- | --------- | ------- |
| `active` | `active`  | Enable the animation                                                  | `boolean` | `false` |
| `speed`  | `speed`   | How many px should move per second?                                   | `number`  | `40`    |
| `uid`    | `uid`     | A unique ID for the component. Will be auto generated if not supplied | `string`  | `''`    |


## Methods

### `setOverflow() => Promise<void>`

Force a recalculation of the overflow

#### Returns

Type: `Promise<void>`




## Slots

| Slot        | Description          |
| ----------- | -------------------- |
| `"default"` | The content to slide |


## Dependencies

### Used by

 - [poductivity-messages](../pd-messages)
 - [poductivity-player](../pd-player)

### Graph
```mermaid
graph TD;
  poductivity-messages --> poductivity-marquee
  poductivity-player --> poductivity-marquee
  style poductivity-marquee fill:#f9f,stroke:#333,stroke-width:4px
```

----------------------------------------------

Copyright Poductivity Limited, All Rights Reserved
