# poductivity-subscribe

A subscribe-to-feed component. For internal use only.

<!-- Auto Generated Below -->


## Properties

| Property    | Attribute    | Description                                                        | Type                | Default |
| ----------- | ------------ | ------------------------------------------------------------------ | ------------------- | ------- |
| `absolute`  | `absolute`   | Position the modal absolute rather than fixed                      | `boolean`           | `false` |
| `debug`     | `debug`      | Debug mode                                                         | `boolean`           | `false` |
| `fill`      | `fill`       | Fill all available space - no visible backdrop                     | `boolean`           | `false` |
| `showData`  | --           | Required. Data for the show to subscribe to                        | `SubscribeShowData` | `null`  |
| `userAgent` | `user-agent` | Required. The browser/app's user agent. Used for feature detection | `string`            | `''`    |


## Methods

### `attemptOpenDefaultApp() => Promise<boolean>`

Attempt to open the default app

#### Returns

Type: `Promise<boolean>`



### `show() => Promise<boolean>`

Show the modal

#### Returns

Type: `Promise<boolean>`




## Dependencies

### Used by

 - [poductivity-client](../pd-client)

### Depends on

- [poductivity-modal](../pd-modal)

### Graph
```mermaid
graph TD;
  poductivity-subscribe --> poductivity-modal
  poductivity-client --> poductivity-subscribe
  style poductivity-subscribe fill:#f9f,stroke:#333,stroke-width:4px
```

----------------------------------------------

Copyright Poductivity Limited, All Rights Reserved
